Bug 136275 - incorrect drop-down menu display on dual-monitor
incorrect drop-down menu display on dual-monitor
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2004-10-18 23:15 EDT by Andrew D. Stadler
Modified: 2008-04-04 18:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 18:50:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2004-10-18 23:15:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/125.5 (KHTML, like Gecko) Safari/125.9

Description of problem:
(I'm sure this is a bug in the toolkit, not in system-config-network, but I don't know enough about the tooklit you used so I don't know where to file it.  I assume you'll be reassigning this to the display toolkit bug list.  My apologies. )

On a dual-display system (running xinerama) there is a very long popup containing a list of ethernet drivers.  If you have a dual-display system with unequal screen sizes, the drop-down menu is sized for the largest bounding box, even if that is larger than the current screen.  The only way to resolve this is to move the dialog to the largest screen before activating the drop-down menu.

Version-Release number of selected component (if applicable):
system-config-network-1.3.17-0.FC2.1

How reproducible:
Always

Steps to Reproduce:
1.  setup a test system with dual non-equal-sized monitors and configure X for spanning desktop mode (xinerama).  Make sure that the upper edges are co-linear, with a "jagged" bottom edge (this is the default, you shouldn't have to change anything).  The smaller screen should be something like 1024x768 or 1280x1024.
2.  run system-config-network and move it to the smaller of the two displays.
3.  under hardware tab click "new", "ethernet", OK
4.  drop down the box labeled "adapter".  it should be a very long list.     

Actual Results:  No matter where you move the dialog around to (on the smaller screen) the menu always drops off the bottom.  The only way to view the entire list is to move the dialog to the largest screen and then click the drop-down.

Expected Results:  No matter where displayed, the drop-down list should be visible.

Additional info:
Comment 1 Matthias Clasen 2004-10-19 09:28:41 EDT
If system-config-network uses a GtkCombo, the right fix is to port to 
GtkComboBox which should behave correctly in this situation. If
system-config-network already uses a GtkComboBox, please file this
upstream against product gtk+ in http://bugzilla.gnome.org
Comment 2 Matthew Miller 2005-04-26 12:05:56 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Andrew D. Stadler 2005-05-04 20:07:21 EDT
As of FC3/latest, system-config-network-1.3.22-1, this display error still occurs.
Comment 4 Matthew Miller 2006-07-10 17:21:51 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Bug Zapper 2008-04-03 11:42:09 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Andrew D. Stadler 2008-04-03 12:24:07 EDT
Unfortunately I am no longer using Fedora, I have a new job and they have standardized on Ubuntu here.

As far as I know (I think I was using FC6 when I finished the old job) all of the notes in here were still 
valid.  But I have not used FC7+.

Thanks anyway and good luck!

Comment 7 John Poelstra 2008-04-04 18:50:45 EDT
Thanks for your update

Note You need to log in before you can comment on or make changes to this bug.